Skip to main content
System Global Type/Management Node Operations
GETManagement Node OperationsSince 0.6SynchronousAuth Required

QueryManagementNode

QueryManagementNode

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • hostNameStringRequired

      The hostname.

    • joinDateTimestampRequired

      The joining date.

    • heartBeatTimestampRequired

      The heartbeat time.

Endpoint

GET/zstack/v1/management-nodes

/zstack/v1/management-nodes

Operation ID

QueryManagementNode

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/management-nodes' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "188b2c6376c34d3687c5a7a19685ffa6", "hostName": "127.0.0.1", "joinDate": "May 11, 2017 1:22:44 PM", "heartBeat": "May 11, 2017 1:22:44 PM" } ] }

Change History

This API has no change history records yet.

View all change history